Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
finance_quote
/
live
/
advanced
Live Google Finance Quote Advanced
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_quote/live/advanced \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "os": "<string>",
  "window": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_quote/live/advanced"

payload = {
    "keyword": "<string>",
    "location_name": "<string>",
    "location_code": 123,
    "language_name": "<string>",
    "language_code": "<string>",
    "os": "<string>",
    "window": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    keyword: '<string>',
    location_name: '<string>',
    location_code: 123,
    language_name: '<string>',
    language_code: '<string>',
    os: '<string>',
    window: '<string>'
  })
};

fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/finance_quote/live/advanced', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks": [
    "<string>"
  ],
  "tasks[].result": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

Ticker or stock symbol

location_name
string

Full name of search engine location

location_code
integer

Search engine location code

language_name
string

Full name of search engine language

language_code
string

Search engine language code

os
string

Device operating system

window
string

Time window for the quote graph

Response

Successful response

version
string

The current version of the API

status_code
integer

General status code

status_message
string

General informational message

time
string

Execution time, seconds

cost
number

Total tasks cost, USD

tasks
string[]

Array of tasks

tasks[].result
string[]

Array of live SERP results